Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class OclType

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.OclType

Direct Known Subclasses:
  `OclParametrizedType`, `OclSimpleType`

public abstract class OclType extends Object
Abstract OCLtype.

## Constructor Summary

Constructors
Constructor
Description
`OclType()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addSimpleType(String typeName, Class<?> typeClass)`
Registers a simple type.
`abstract boolean`
`conformsTo(OclType other)`
Tests if the current object conforms to the given object.
`String`
`getName()`
`static Class<? extends Object>`
`getNativeClassfromOclTypeName(String typeName)`
oclType util.
`static OclType`
`getOclTypeFromObject(Object cl)`
oclType util.
`static Map<Class<?>,List<Class<?>>>`
`getSupertypes()`
`void`
`setName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OclType

public OclType()

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### conformsTo

public abstract boolean conformsTo(OclType other)
Tests if the current object conforms to the given object.

Parameters:
  `other` - the other object
Returns:
  true if the current object conforms to the given object

### getSupertypes

public static Map<Class<?>,List<Class<?>>> getSupertypes()

### getOclTypeFromObject

public static OclType getOclTypeFromObject(Object cl)
oclType util.

Parameters:
  `cl` - the given class
Returns:
  the ocl type

### getNativeClassfromOclTypeName

public static Class<? extends Object> getNativeClassfromOclTypeName(String typeName)
oclType util.

Parameters:
  `typeName` - the given class
Returns:
  the ocl type

### addSimpleType

public static void addSimpleType(String typeName, Class<?> typeClass)
Registers a simple type.

Parameters:
  `typeName` - the type name
  `typeClass` - the type class